com.holonplatform.jaxrs.server.internal

## Class JaxrsContainerHttpRequest

- java.lang.Object
- - com.holonplatform.http.internal.AbstractHttpRequest
  - - com.holonplatform.jaxrs.server.internal.JaxrsContainerHttpRequest

- All Implemented Interfaces:
    com.holonplatform.core.messaging.Message<String,List<String>>, com.holonplatform.core.messaging.MessageHeaders<List<String>>, com.holonplatform.http.HttpHeaders, com.holonplatform.http.HttpMessage<String>, com.holonplatform.http.HttpRequest

      public class JaxrsContainerHttpRequest
      extends com.holonplatform.http.internal.AbstractHttpRequest

  `HttpRequest` using JAX-RS `ContainerRequestContext`.
  Since:
    5.0.0

- - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.http.HttpHeaders

      `ACCEPT, ACCEPT_CHARSET, ACCEPT_ENCODING, ACCEPT_LANGUAGE, ACCEPT_RANGES, AGE, ALLOW, AUTHORIZATION, CACHE_CONTROL, CONNECTION, CONTENT_DISPOSITION, CONTENT_ENCODING, CONTENT_LANGUAGE, CONTENT_LENGTH, CONTENT_LOCATION, CONTENT_RANGE, CONTENT_TYPE, COOKIE, DATE, ETAG, EXPECT, EXPIRES, FROM, HOST, IF_MATCH, IF_MODIFIED_SINCE, IF_NONE_MATCH, IF_RANGE, IF_UNMODIFIED_SINCE, LAST_MODIFIED, LINK, LOCATION, MAX_FORWARDS, ORIGIN, PRAGMA, PROXY_AUTHENTICATE, PROXY_AUTHORIZATION, RANGE, REFERER, RETRY_AFTER, SCHEME_BASIC, SCHEME_BEARER, SCHEME_DIGEST, SERVER, SET_COOKIE, TRAILER, TRANSFER_ENCODING, UPGRADE, USER_AGENT, VARY, VIA, WARNING, WWW_AUTHENTICATE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JaxrsContainerHttpRequest(javax.ws.rs.container.ContainerRequestContext request)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `InputStream` | `getBody()`
    `Optional<List<String>>` | `getHeader(String name)`
    `Map<String,List<String>>` | `getHeaders()`
    `com.holonplatform.http.HttpMethod` | `getMethod()`
    `Optional<List<String>>` | `getMultiValueRequestParameter(String name)`
    `Optional<com.holonplatform.http.Cookie>` | `getRequestCookie(String name)`
    `String` | `getRequestHost()`
    `Optional<String>` | `getRequestParameter(String name)`
    `Map<String,List<String>>` | `getRequestParameters()`
    `String` | `getRequestPath()`

    - ### Methods inherited from class com.holonplatform.http.internal.AbstractHttpRequest

      `getPayload, getPayloadType`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.holonplatform.http.HttpMessage

      `getProtocol`

    - ### Methods inherited from interface com.holonplatform.http.HttpHeaders

      `getAuthorizationBasicCredentials, getAuthorizationBearer, getContentLength, getDate, getHeaderValue, getLocale, getLocales, getLocation`

- - ### Constructor Detail

    - #### JaxrsContainerHttpRequest

          public JaxrsContainerHttpRequest(javax.ws.rs.container.ContainerRequestContext request)

      Constructor
      Parameters:
        `request` - JAX-RS `ContainerRequestContext`

  - ### Method Detail

    - #### getMethod

          public com.holonplatform.http.HttpMethod getMethod()

    - #### getHeaders

          public Map<String,List<String>> getHeaders()

    - #### getHeader

          public Optional<List<String>> getHeader(String name)

    - #### getRequestPath

          public String getRequestPath()

    - #### getRequestHost

          public String getRequestHost()

    - #### getRequestParameter

          public Optional<String> getRequestParameter(String name)

    - #### getMultiValueRequestParameter

          public Optional<List<String>> getMultiValueRequestParameter(String name)

    - #### getRequestParameters

          public Map<String,List<String>> getRequestParameters()

    - #### getRequestCookie

          public Optional<com.holonplatform.http.Cookie> getRequestCookie(String name)

    - #### getBody

          public InputStream getBody()
                              throws IOException,
                                     UnsupportedOperationException

      Throws:
        `IOException`
        `UnsupportedOperationException`

Copyright © 2019 The Holon Platform. All rights reserved.